#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Dieses Dokument ist in der Zusammenarbeit von Informatikreferendaren und
# ehemaligen Informatikreferendaren der Studienseminare (heute ZfsL) Arnsberg,
# Hamm und Solingen entstanden.
#
# Das Dokument steht unter der Lizenz: Creative Commons by-nc-sa Version 4.0
# http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
#
# Nach dieser Lizenz darf das Dokument beliebig kopiert und bearbeitet werden,
# sofern das Folgeprodukt wiederum unter gleichen Lizenzbedingungen vertrieben
# und auf die ursprünglichen Urheber verwiesen wird.
# Eine kommerzielle Nutzung ist ausdrücklich ausgeschlossen.
#
# Die Namensnennung durch einen Verweis und die Lizenzangabe der ursprünglichen
# Urheber auf den Materialien für Schülerinnen und Schüler ist erforderlich.
#
# Die Sammlung der Dokumente steht unter
# http://ddi.uni-wuppertal.de/material/materialsammlung/
# zur Verfügung.
#
# Weitere Lizenz: GPL V3.0
# Siehe http://www.gnu.org/licenses/gpl-3.0.html
#
# $Id: schultasche.py 582 2014-04-19 19:19:24Z pieper $
#
# Python 3.x 

class STasche():
	def __init__(self):
		self.setzeWochentag(0) # Montag
		self.setzeFachErsteStunde("Informatik")
		self.setzeAlleBenoetigtenMaterialien([])

	def setzeWochentag(self,wot):
		self.wochentag=wot
	def gibWochentag(self):
		return self.wochentag

	def setzeFachErsteStunde(self,fes):
		self.fachErsteStunde=fes
	def gibFachErsteStunde(self):
		return self.fachErsteStunde

	def setzeAlleBenoetigtenMaterialien(self,abm):
		self.alleBenoetigtenMaterialien= abm
	def gibAlleBenoetigtenMaterialien(self):
		return self.alleBenoetigtenMaterialien

	def packeDich(self):
		pass
	def gibAus(self):
		print (self.gibAlleBenoetigtenMaterialien() )


from datetime import date
class Kal():
	def __init__(self):
		self.setzeWochentag()

	def setzeWochentag(self):
		self.wochentag=	date.weekday(date.today() )
	def gibWochentag(self):
		return self.wochentag


class StundenPlan():
	def __init__(self):
		self.setzeFachErsteStunde("Informatik")

	def setzeFachErsteStunde(self,fach):
		self.fachErsteStunde= fach
	def	gibFachErsteStunde(self):
		return self.fachErsteStunde
		

class MerkZettel():
	def __init__(self,fach):
		self.materialien= {"Informatik":["Kugelschreiber", "Lineal", "Heft"],
						   "sport":["Turnschuhe","Turnhose","Turnhemd"]}
		self.setzeAlleBenoetigtenMaterialien(fach)

	def setzeAlleBenoetigtenMaterialien(self, fach):
		self.alleBenoetigtenMaterialien=self.materialien[fach]
	def	gibAlleBenoetigtenMaterialien(self):
		return self.alleBenoetigtenMaterialien


if __name__=="__main__":
    # Erstellung der Objekte
    schultasche = STasche()
    kalender = Kal()
    print ("Wochentag:", kalender.gibWochentag(),"(0 = Montag ... 6 = Sonntag)")
    stundenplan = StundenPlan()
    informatikmerkzettel = MerkZettel("Informatik")

    # sandra von außen:
    schultasche.packeDich()

    # schultasche:
    schultasche.setzeWochentag( 
        kalender.gibWochentag() 
        )

    schultasche.setzeFachErsteStunde( 
        stundenplan.gibFachErsteStunde() 
        )
	
    schultasche.setzeAlleBenoetigtenMaterialien( 
        informatikmerkzettel.gibAlleBenoetigtenMaterialien() 
        )
    schultasche.gibAus()
